Bug 211752 - TestWebKitAPI.WKHTTPCookieStore.Basic is a flaky failure
Summary: TestWebKitAPI.WKHTTPCookieStore.Basic is a flaky failure
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-05-11 15:50 PDT by Ryan Haddad
Modified: 2020-05-15 15:33 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.06 KB, patch)
2020-05-15 14:34 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2020-05-11 15:50:53 PDT
TestWebKitAPI.WKHTTPCookieStore.Basic is a flaky failure

    TestWebKitAPI.WKHTTPCookieStore.Basic
        _RegisterApplication(), FAILED TO establish the default connection to the WindowServer, _CGSDefaultConnection() is NULL.
        
        /Volumes/Data/slave/mojave-release/build/Tools/TestWebKitAPI/Tests/WebKitCocoa/WKHTTPCookieStore.mm:142
        Expected equality of these values:
          observerCallbacks
            Which is: 2
          4u
            Which is: 4

https://results.webkit.org/?limit=50000&suite=api-tests&test=TestWebKitAPI.WKHTTPCookieStore.Basic
Comment 1 Radar WebKit Bug Importer 2020-05-11 15:51:09 PDT
<rdar://problem/63109496>
Comment 2 Ryan Haddad 2020-05-12 14:16:18 PDT
I see an example of this test first failing on 2/18/20, and there are only a handful of test runs visible before that.

The test was renamed from TestWebKitAPI.WebKit.WKHTTPCookieStore -> TestWebKitAPI.WKHTTPCookieStore.Basic on 2/11/20 as part of https://trac.webkit.org/changeset/256315/webkit

Here is the history for TestWebKitAPI.WebKit.WKHTTPCookieStore (you will have to do a lot of scrolling back in time to see results):
https://results.webkit.org/?limit=50000&suite=api-tests&test=TestWebKitAPI.WebKit.WKHTTPCookieStore&recent=false

10/10/2019 is the first visible result for TestWebKitAPI.WebKit.WKHTTPCookieStore, and 10/12/2019 was the first failure.
Comment 3 Alex Christensen 2020-05-15 14:34:18 PDT
Created attachment 399513 [details]
Patch
Comment 4 Geoffrey Garen 2020-05-15 14:37:28 PDT
Comment on attachment 399513 [details]
Patch

r=me
Comment 5 EWS 2020-05-15 15:32:59 PDT
Committed r261765: <https://trac.webkit.org/changeset/261765>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 399513 [details].